Get a transaction
curl --request GET \
--url https://api.globalstack.io/v1/transactions/{transactionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.globalstack.io/v1/transactions/{transactionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.globalstack.io/v1/transactions/{transactionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Transaction fetched successfully",
"code": "ok",
"data": {
"id": "txn_01KPBG1Q3Z8X1Q6VJRE5R8ZFBG",
"source_type": "onramp",
"source_id": "onr_01KPBH802PXQQXT8ASJGE0QX2K",
"customer_id": "cust_seed_alice",
"type": "onramp",
"status": "success",
"metadata": {},
"created_at": "2026-04-16T16:16:03.000Z",
"updated_at": "2026-04-16T16:16:07.000Z",
"reference": "INV-2026-001",
"transaction_hash": null,
"from_wallet_id": null,
"to_wallet_id": "wal_seed_alice_usdc",
"source_amount": "10000.00",
"source_currency": "NGN",
"destination_amount": "6.046600",
"destination_currency": "USDC",
"confirmed_at": "2026-04-22T02:01:30.000Z",
"parent_transaction_id": null,
"root_transaction_id": "txn_01KPBG1Q3Z8X1Q6VJRE5R8ZFBG",
"related_transactions": "<unknown>"
},
"meta": {
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}{
"status": false,
"message": "Resource not found",
"code": "not_found",
"data": null,
"meta": {
"next_steps": {
"action": "Verify the resource identifier and retry.",
"docs_url": "https://docs.globalstack.io/errors#not_found"
},
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}{
"status": false,
"message": "Resource not found",
"code": "not_found",
"data": null,
"meta": {
"next_steps": {
"action": "Verify the resource identifier and retry.",
"docs_url": "https://docs.globalstack.io/errors#not_found"
},
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}{
"status": false,
"message": "Resource not found",
"code": "not_found",
"data": null,
"meta": {
"next_steps": {
"action": "Verify the resource identifier and retry.",
"docs_url": "https://docs.globalstack.io/errors#not_found"
},
"request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
"timestamp": "2026-05-14T15:43:55.732Z",
"version": "1"
}
}Transactions
Get a transaction
Fetch a transaction by its txn_… external id, scoped to the authenticated merchant. Returns 404 not_found when the id is unknown.
GET
/
v1
/
transactions
/
{transactionId}
Get a transaction
Authorizations
API key issued during merchant onboarding.
Path Parameters
Pattern:
[^\/#\?]+?Response
Transaction fetched successfully
⌘I